journal_dirty_data
Prev | Transasction Level | Next

## Name

journal_dirty_data — mark a buffer as containing dirty data which

## Synopsis

`int journal_dirty_data (` | handle_t * | handle,
| struct buffer_head * | bh`)`;

## Arguments

`handle`

  transaction

`bh`

  bufferhead to mark

## Description

The buffer is placed on the transaction's data list and is marked as belonging to the transaction.

Returns error number or 0 on success.

`journal_dirty_data` can be called via page_launder->ext3_writepage by kswapd.

## Description

The buffer is placed on the transaction's data list and is marked as belonging to the transaction.

Returns error number or 0 on success.

`journal_dirty_data` can be called via page_launder->ext3_writepage by kswapd.

Prev | Up | Next
journal_get_undo_access | Home | journal_dirty_metadata